%define	upstream_name	 Date-Calc
%define upstream_version 6.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary: 	Gregorian calendar date calculations
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz

# these versioned requires are expressed in Makefile.PL, but not in module
BuildRequires:	perl(Bit::Vector) >= 6.400.0
BuildRequires:	perl(Carp::Clan)  >= 5.3
BuildRequires:	perl-devel

BuildArch:	noarch

# Filter unwanted Provides:
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Date::Calc\\)$

%description
This library provides all sorts of date calculations based on the Gregorian
calendar (the one used in all western countries today), thereby complying
with all relevant norms and standards: ISO/R 2015-1971, DIN 1355 and, to
some extent, ISO 8601 (where applicable).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make  CFLAGS="%{optflags}"

%check
%make test

%install
%make_install

%files
%doc README.txt CHANGES.txt CREDITS.txt META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Date


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 6.400.0-5.mga8
+ Revision: 1493814
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 6.400.0-4.mga7
+ Revision: 1267023
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 6.400.0-3.mga6
+ Revision: 1025013
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 6.400.0-2.mga6
+ Revision: 967356
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 6.400.0-1.mga6
+ Revision: 848741
- update to 6.4

* Fri Feb 20 2015 anaselli <anaselli> 6.300.0-10.mga5
+ Revision: 816054
- Fixed building (century test fail on two digits over 50 years ago)

* Sun Oct 19 2014 umeabot <umeabot> 6.300.0-9.mga5
+ Revision: 789175
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.300.0-8.mga5
+ Revision: 738891
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 6.300.0-7.mga5
+ Revision: 735473
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.300.0-6.mga5
+ Revision: 684259
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.300.0-5.mga4
+ Revision: 510689
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.300.0-4.mga3
+ Revision: 365541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 6.300.0-3.mga3
+ Revision: 335977
- This package is noarch, the C code is in a separate distribution (Date::Calc::XS)
- Drop useless line

* Sat Jan 22 2011 jquelin <jquelin> 6.300.0-2.mga1
+ Revision: 31886
- mageia rebuild
- imported package perl-Date-Calc

